> ## Documentation Index
> Fetch the complete documentation index at: https://docs.curbwaste.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Address



## OpenAPI

````yaml /openapi/public.openapi.json post /v1/locations/validate-address
openapi: 3.1.0
info:
  title: CurbWaste Public API
  version: 1.0.0
  description: >-
    Partner-facing public API under /v1. Authenticate with a company API key
    (Authorization: Bearer cw_live_…). Outbound webhooks (customer.created /
    customer.updated / location.created / location.updated / pricelist.created)
    use HMAC and are documented separately.
  contact:
    name: CurbWaste
  license:
    name: UNLICENSED 1
servers:
  - url: https://api.curbwaste.com
    description: Production public API
security:
  - ApiKeyBearer: []
tags:
  - name: Customers
    description: >-
      Company CRM customers under /v1/customers. Requires customers:read or
      customers:write.
  - name: Catalog
  - name: Locations
  - name: Zones
paths:
  /v1/locations/validate-address:
    post:
      tags:
        - Locations
      summary: Validate Address
      operationId: validateAddress
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidatePublicAddressDto'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicValidatedAddressResponse'
components:
  schemas:
    ValidatePublicAddressDto:
      type: object
      properties:
        address:
          type: string
          minLength: 1
          maxLength: 500
      required:
        - address
    PublicValidatedAddressResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PublicValidatedAddress'
      required:
        - data
    PublicValidatedAddress:
      type: object
      properties:
        formattedAddress:
          type: string
        streetNumber:
          type: string
        route:
          type: string
        city:
          type: string
        state:
          type: string
        zipcode:
          type: string
        county:
          type: string
        borough:
          type: string
        geoPlaceId:
          type: string
        location:
          type: object
          properties:
            lat:
              type: number
            lng:
              type: number
          required:
            - lat
            - lng
      required:
        - formattedAddress
        - streetNumber
        - route
        - city
        - state
        - zipcode
        - county
        - borough
        - geoPlaceId
        - location
  securitySchemes:
    ApiKeyBearer:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: >-
        Company API key from the developer platform. Header: Authorization:
        Bearer cw_live_…. Key must include customers:read and/or
        customers:write.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.